<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Interface org.apache.commons.configuration2.tree.NodeMatcher (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.commons.configuration2.tree.NodeMatcher (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/tree/class-use/NodeMatcher.html" target="_top">Frames</a></li>
<li><a href="NodeMatcher.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.apache.commons.configuration2.tree.NodeMatcher" class="title">Uses of Interface<br>org.apache.commons.configuration2.tree.NodeMatcher</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.tree">org.apache.commons.configuration2.tree</a></td>
<td class="colLast">
<div class="block">
 A package with helper and utility classes used by hierarchical configurations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2.tree">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a> in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> that implement <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeNameMatchers.html" title="enum in org.apache.commons.configuration2.tree">NodeNameMatchers</a></span></code>
<div class="block">
 An enumeration class with several pre-defined <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree"><code>NodeMatcher</code></a>
 implementations based on node names.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;C&gt;&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html" title="type parameter in NodeHandlerDecorator">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NodeHandlerDecorator.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html#getMatchingChildren-T-org.apache.commons.configuration2.tree.NodeMatcher-C-">getMatchingChildren</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html" title="type parameter in NodeHandlerDecorator">T</a>&nbsp;node,
                   <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;&nbsp;matcher,
                   C&nbsp;criterion)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;C&gt;&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NodeHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getMatchingChildren-T-org.apache.commons.configuration2.tree.NodeMatcher-C-">getMatchingChildren</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                   <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;&nbsp;matcher,
                   C&nbsp;criterion)</code>
<div class="block">Returns an unmodifiable list of all children of the specified node which
 are matched by the passed in <code>NodeMatcher</code> against the provided
 criterion.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;C&gt;&nbsp;int</code></td>
<td class="colLast"><span class="typeNameLabel">NodeHandlerDecorator.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html#getMatchingChildrenCount-T-org.apache.commons.configuration2.tree.NodeMatcher-C-">getMatchingChildrenCount</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html" title="type parameter in NodeHandlerDecorator">T</a>&nbsp;node,
                        <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;&nbsp;matcher,
                        C&nbsp;criterion)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;C&gt;&nbsp;int</code></td>
<td class="colLast"><span class="typeNameLabel">NodeHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getMatchingChildrenCount-T-org.apache.commons.configuration2.tree.NodeMatcher-C-">getMatchingChildrenCount</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                        <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;&nbsp;matcher,
                        C&nbsp;criterion)</code>
<div class="block">Returns the number of children of the specified node which are matched by
 the given <code>NodeMatcher</code>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngine.html#DefaultExpressionEngine-org.apache.commons.configuration2.tree.DefaultExpressionEngineSymbols-org.apache.commons.configuration2.tree.NodeMatcher-">DefaultExpressionEngine</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols</a>&nbsp;syms,
                       <a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;nodeNameMatcher)</code>
<div class="block">Creates a new instance of <code>DefaultExpressionEngine</code> and initializes
 its symbols and the matcher for comparing node names.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/tree/class-use/NodeMatcher.html" target="_top">Frames</a></li>
<li><a href="NodeMatcher.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
